Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.module
Class ModuleException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--uk.ac.man.bioinf.module.ModuleException

All Implemented Interfaces:
  Serializable

public class ModuleException
extends Exception

ModuleException.java An exception thrown if a module does not load sucessfully. Created: Tue May 9 18:45:35 2000

Version:
  $Id: ModuleException.java,v 1.4 2001/04/11 17:04:43 lord Exp $
Author:
  J Selley
See Also:
  Serialized Form

Constructor Summary
`ModuleException(ModuleExceptionType id)`
`ModuleException(String message)`
`ModuleException(String message, ModuleExceptionType id)`
`ModuleException(String message, ModuleExceptionType id, Throwable throwable)`
`ModuleException(Throwable throwable)`

Method Summary
`ModuleExceptionType` | `getID()`
`Throwable` | `getThrowable()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModuleException

    public ModuleException(String message)

### ModuleException

    public ModuleException(ModuleExceptionType id)

### ModuleException

    public ModuleException(Throwable throwable)

### ModuleException

    public ModuleException(String message,
                           ModuleExceptionType id)

### ModuleException

    public ModuleException(String message,
                           ModuleExceptionType id,
                           Throwable throwable)

Method Detail

### getThrowable

    public Throwable getThrowable()

### getID

    public ModuleExceptionType getID()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD